org.eclipse.jetty.io.nio

## Class IndirectNIOBuffer

- java.lang.Object
- - org.eclipse.jetty.io.AbstractBuffer
  - - org.eclipse.jetty.io.ByteArrayBuffer
    - - org.eclipse.jetty.io.nio.IndirectNIOBuffer

All Implemented Interfaces:
  Cloneable, Buffer, NIOBuffer

    public class IndirectNIOBuffer
    extends ByteArrayBuffer
    implements NIOBuffer

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.jetty.io.ByteArrayBuffer

`ByteArrayBuffer.CaseInsensitive`

### Nested classes/interfaces inherited from interface org.eclipse.jetty.io.Buffer

`Buffer.CaseInsensitve`

### Field Summary

Fields
`protected ByteBuffer` `_buf`

### Fields inherited from class org.eclipse.jetty.io.ByteArrayBuffer

`_bytes`

### Fields inherited from class org.eclipse.jetty.io.AbstractBuffer

`__IMMUTABLE, __READONLY, __READWRITE, __VOLATILE, _access, _get, _hash, _hashGet, _hashPut, _mark, _put, _string, _view, _volatile`

### Fields inherited from interface org.eclipse.jetty.io.Buffer

`IMMUTABLE, NON_VOLATILE, READONLY, READWRITE, VOLATILE`

### Constructor Summary

Constructors
Constructor and Description
`IndirectNIOBuffer(ByteBuffer buffer, boolean immutable)`
`IndirectNIOBuffer(int size)`

### Method Summary

Methods
`ByteBuffer` `getByteBuffer()`
`boolean` `isDirect()`

### Methods inherited from class org.eclipse.jetty.io.ByteArrayBuffer

`array, capacity, compact, equals, equalsIgnoreCase, get, hashCode, peek, peek, poke, poke, poke, readFrom, space, writeTo`

### Methods inherited from class org.eclipse.jetty.io.AbstractBuffer

`asArray, asImmutableBuffer, asMutableBuffer, asNonVolatileBuffer, asReadOnlyBuffer, buffer, clear, duplicate, get, get, getIndex, hasContent, isImmutable, isReadOnly, isVolatile, length, mark, mark, markIndex, peek, peek, put, put, put, put, putIndex, reset, rewind, setGetIndex, setMarkIndex, setPutIndex, skip, slice, sliceFromMark, sliceFromMark, toDebugString, toDetailString, toString, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.jetty.io.Buffer

`array, asArray, asImmutableBuffer, asMutableBuffer, asNonVolatileBuffer, asReadOnlyBuffer, buffer, capacity, clear, compact, equalsIgnoreCase, get, get, get, getIndex, hasContent, isImmutable, isReadOnly, isVolatile, length, mark, mark, markIndex, peek, peek, peek, peek, poke, poke, poke, put, put, put, put, putIndex, readFrom, reset, setGetIndex, setMarkIndex, setPutIndex, skip, slice, sliceFromMark, sliceFromMark, space, toDetailString, toString, writeTo`

### Field Detail

#### _buf

    protected final ByteBuffer _buf

### Constructor Detail

#### IndirectNIOBuffer

    public IndirectNIOBuffer(int size)

#### IndirectNIOBuffer

    public IndirectNIOBuffer(ByteBuffer buffer,
                     boolean immutable)

### Method Detail

#### getByteBuffer

    public ByteBuffer getByteBuffer()

Specified by:
  `getByteBuffer` in interface `NIOBuffer`

#### isDirect

    public boolean isDirect()

Specified by:
  `isDirect` in interface `NIOBuffer`